              Castle Master - Incentive

            Solved by John Carter on Amiga

Food and treasure locations are not included in this walk-through.
The layout of the Castle is fairly basic and can be followed
without maps. The instructions say a score of 7.5 million is
possible and I finished on 4.6 so I concluded that some of the
treasure must be really well hidden as I thought I had been quite
thorough.

The Castle comprises four Towers at the NW, NE, SW and SE, joined
by N, S, E and W passages on Levels 3 and 4, with the Gatehouse
taking the place of the southern passage on levels 1 and 2.
(Rather like the toy forts we older gentlemen would remember from
our youth).

On the first floor a central Courtyard contains a Well, Smithy,
Stable, Haybarn and Church, whilst a Wizard's Hut will be found

outside the Castle to the NW and a large moveable boulder to the
SW.

Below the Castle are the Catacombs and five Caverns (which are
only accessible from above), a Wine Cellar, Torture Chamber, Cell
and a staircase leading to the NW Tower.

To complete the adventure you must find 10 pentacles, 10 keys and
kill 26 spirits plus Magister.

Location of Keys:

On the wall in the Kitchen          Level 1 - SE Tower
In the chest in Igor's Lair         Level 1 - SE Tower
On the wall in the Pentacle
      Vault Vestibule               Level 1 - NW Tower
At the top of the Well              Courtyard
Behind the bale of hay              Haybarn in Courtyard
Under the horse                     Stable in Courtyard


Top of the chair back               Wizard's Hut
On top of gold nugget in Shrine     Level 2 - NW Tower
On wall in Pentacle Vault           Level 1 - NW Tower
On the roof of the Church           Courtyard

Location of Pentacles:

One in each of the five Caverns under the Castle.
One on the left ledge on the second floor of the Gatehouse.
One on the wall in the Display Chamber - Level 3 - NW Tower.
One on the chest in the Dragon's Hoard - Level 3 - SE Tower (it
appears in place of the lock when the chest is emptied).
One in the Junk Room - Level 3 - NW Tower (crawl under the shelves
on the right, stand up, turn around and move forward to find it).
One in the Belfry (which is hidden behind a false wall to the
right of the yellow cross on the wall in the Church; pull the rope
to find the pentacle).


Walk-through:

Throw rock at switch to drop drawbridge - north into Gatehouse -
east to Kitchen - get food and key - exit - go to Igor's room next
door and kill him - get treasure and key from chest - return to
Kitchen - walk into fireplace - eat enough food to put six weights
on each end of the barbell - go to the Pentacle Vault Vestibule in
NW Tower - kill spirit - get key.

Leave Castle via drawbridge - go southeast to large rock and push
to reveal cavern entrance but don't enter yet (you can only move
the rock if you have full strength) - go to Wizard's Hut in
northwest - get key off chair back - move rug - drop down hole -
kill spirit - get pentacle - east from Cavern - first south - east
- first north - kill spirit - south from Cavern - east - eat food
- south - east - south - push plank to form a bridge over the
Oubliette - south - east - south - kill spirit - north from Cavern
- west - north - over plank - second west - kill spirit - east
from Cavern - north - west - first south - kill spirit - north
from Cavern - north at Crossroads and into the large Cellar
Corridor - kill the spirits in the three rooms opposite (the
bottle on the lower shelf in the Wine Cellar will replace strength
but has the opposite effect if you drink too much). Take the
southern passage opposite the wine Cellar - south at the
T-junction - up the stairs to the bottom of the NW Tower.

The next section requires jumping into the Caverns with a
resultant loss of strength, so visit the hidden food cache in the
Kitchen as and when needed.

Return to the large rock outside the Castle - jump down - get
pentacle - return via stairs to NW Tower - go to the Hot Baths at
Level 1 of NE Tower - kill spirit - operate switch on post to
drain bath - drop into Cavern below via hole revealed - get
pentacle - return to NW Tower - go to Well in Courtyard - search
for key - crawl into Well to access Cavern below - get pentacle -
return to NW Tower - stand on drawbridge and throw rock at switch
(you will be thrown onto the Church Roof) - get key - drop down
through hole into Church - walk up to the north wall and look

right to find the entrance to the Belfry - enter Belfry and pull
the rope to find a pentacle - exit Belfry and crawl under pulpit
to access Cavern below - get pentacle - return to NW Tower.

Go to Haybarn - kill spirit - get key - exit - go to Stable next
door - get key from horse.

Go to Level 2 via the staircase in the NE Tower - go to Curing
Room via the N passage - kill spirit - exit south into Armoury -
kill spirit - exit east - enter Library around the corner -
examine left-hand book on top shelf - climb on chair which appears
to access Shrine - climb on gold nugget to find key - exit Shrine
- exit Library - go along west passage and bypass the barrier by
using the balcony round the Great Hall - kill spirit (watch out
for the hole where the balcony turns right) - exit balcony - walk
out along left ledge in Gatehouse to find a pentacle - return to
stairs in NE Tower (you can, at this time, search the rooms of the
SE Tower; the Pottery door needs strength to open it and contains
a "Rock Travel Potion", purpose unknown).

Go to Level 3 of NE Tower - enter Storeroom - open cupboard - kill
spirit - crawl into cupboard - kill spirit - crawl into cupboard
to find Priest Hole - exit Priest Hole - exit Storeroom - press
switch to the left (one of two needed to raise barrier) - go to NW
Tower via north passage - throw rocks at grille until it
disappears - open door to Junk Room - enter - crawl to back of
shelves on right - stand up - turn around - move forward - get
pentacle - exit Junk Room - shoot lock off Display Room next door
- return to stairs and go down to Level 1.

Go up to Level 3 via the stairwell in SE Tower - (don't eat the
green cheese in the Carpenter's) - go to NE Tower via east passage
- press second button to raise barrier - visit Inn for strength
potion if needed - return to stairwell in SE Tower - go up to
Level 4.

Enter King's Solar and press button to operate the barrier outside
- exit Solar - go left - walk up to second barrier and operate
"wheel" on the other side to open the heavy door - go to NW Tower
via east and north passages - to operate the barrier, stand on the
grey diamond on the floor and press the four buttons in quick
succession.

Enter the Lobby and move left to find the gap in the partition -
kill spirit - north into Gymnasium - kill spirit - use barbell to
rebuild strength - don't fall out of the window - west into
Spirit's Abode - kill spirits (three) - south into Granary -
search the grain to find a chest - climb into chest and close lid
to find a way into the Display Chamber - get all (there is a
revitalization potion which enables you to lift the sceptre) and
take pentacle - go to SW Tower Level 4 via the stairs in the NE
Tower.

Find a gap in the railing of the balcony around the Ballroom and
drop down to the floor below - walk through the goal posts to
rebuild strength - exit Ballroom and avoid moving block - go to
Dragon's Lair in SE Tower and kill by shooting horns, teeth and
eyes - east into Dragon's Hoard - open chest and take treasure
(the lock on the chest becomes a pentacle when you have taken
everything) - exit Hoard - exit Lair - press button to lower
barrier (it will rise again after a few seconds) go down stairwell
to Level 1.

Go to Pentacle Vault on Level 1, NW Tower - get treasure and key
to Magister's Room - go to Level 4, SE Tower via the stairs in NE
Tower and the north, west and south corridors - enter Magister's
Room and kill him with about 40 shots to the head - exit east -
game completed.
